Gtk2::WebKit::WebHistoryItem(3)

NAME
Gtk2::WebKit::WebHistoryItem

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebHistoryItem

METHODS

  webhistoryitem = Gtk2::WebKit::WebHistoryItem->new

  webhistoryitem = Gtk2::WebKit::WebHistoryItem->new_with_data ($uri, $title)

•   $uri (string)

•   $title (string)

  string = $web_history_item->get_alternate_title

  $web_history_item->set_alternate_title ($title)

•   $title (string)

  double = $web_history_item->get_last_visited_time

  string = $web_history_item->get_original_uri

  string = $web_history_item->get_title

  string = $web_history_item->get_uri

PROPERTIES

'alternate-title' (string : default undef : readable / writable / private)
    The alternate title of the history item

'last-visited-time' (double : default 0 : readable / private)
    The time at which the history item was last visited

'original-uri' (string : default undef : readable / private)
    The original URI of the history item

'title' (string : default undef : readable / private)
    The title of the history item

'uri' (string : default undef : readable / private)
    The URI of the history item

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz